summaryrefslogtreecommitdiffstats
path: root/testpar/testph5.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'testpar/testph5.sh.in')
-rw-r--r--testpar/testph5.sh.in11
1 files changed, 11 insertions, 0 deletions
diff --git a/testpar/testph5.sh.in b/testpar/testph5.sh.in
index 11a6e7e..f78cfac 100644
--- a/testpar/testph5.sh.in
+++ b/testpar/testph5.sh.in
@@ -60,6 +60,17 @@ TOOLTEST() {
# testphdf5 test using the MPI-POSIX VFL driver
TOOLTEST -p
+# Temporary patch:
+# Run t_shapesame this way. Need more permanent solution.
+echo $RUNPARALLEL ./t_shapesame -p
+eval $RUNPARALLEL ./t_shapesame -p
+
+# Check if the command failed and increment nerrors if so.
+if test $? -ne 0 ; then
+ nerrors="`expr $nerrors + 1`"
+fi
+# Temporary patch ended.
+
# Emit message about testing status
if test $nerrors -eq 0 ; then
echo "All $TEST_APP tests passed."